--土-地牢一层东挂机
--在地牢一层东挂机，土城进行存仓、卖东西、
--修理、补药、补卷、老兵飞去蜈蚣洞，配合挂机》触发
--设置来进行2者之间的循环

local g_hpnum=20 --红药数量
local g_hpname="强效金创药"

--回城处理
function 回城()
	--存仓
	local bsave=是否需要存()
	if bsave then
		移动到范围2("3",305,373,5)
		等待(1500)
		坐标对话(305,373)
		等待(1500)
		选择("@-1")
		等待(1500)
		存()
	end
	--卖物
	local bsold=是否需要卖()
	if bsold then
		移动到范围2("3",355,329,5)
		等待(1500)
		坐标对话(355,329)
		等待(1500)
		选择("@2")
		等待(1500)
		卖()
	end
	--修理
	local brepair=是否需要修理(50,0,1,2,3,5,6,7,8)
	if brepair then
		移动到范围2("0149",11,18,5)
		等待(1500)
		坐标对话(11,18)
		等待(1500)
		选择("@-3")
		等待(1500)
		全部修理()
		等待(1500)
	end
	--买药
	local hpnum=获取物品数量(g_hpname)
	if hpnum<g_hpnum then
		移动到范围2("3",361,335,5)
		等待(1500)
		坐标对话(361,335)
		等待(1500)
		选择("@-1")
		等待(1500)
		买("强效金创药",g_hpnum-hpnum,10,1500)
	end
	--买回城卷
	local nHCNum=获取物品数量("回城卷")
	if nHCNum<1 then
		移动到范围2("3",346,334,5)
		等待(1500)
		坐标对话(346,334)
		等待(1500)
		选择("@-1")
		等待(1500)
		买("回城卷",1,10,1500)
	end
	--买随机卷
	local nsjnum=获取物品数量("随机传送卷")
	if nsjnum<1 then
		移动到范围2("3",346,334,5)
		等待(1500)
		坐标对话(346,334)
		等待(1500)
		选择("@-1")
		等待(1500)
		买("随机传送卷",3,10,1500)
	end
	--出发
	移动到地图2("D601")
	等待(1500)
	return 挂机()
end

--地图挂机
function 挂机()
	开始挂机()
	使用物品("回城卷")
	等待(2000)
	return 回城()
end

--开始
do
	--挂机路线
	设置来回挂机路线()
	添加挂机路线点2("D601",48,19,5)
	添加挂机路线点2("D601",18,199,5)
	添加挂机路线点2("D601",203,217,5)
	添加挂机路线点2("D601",162,67,5)
	--开始
	local mapid=获取地图id()
	if mapid=="D601" then
		挂机()
	else
		回城()
	end
end
